Skip to main content
Monitoring & Collection/Profiling
GETProfilingSince 1.0SynchronousAuth Required

GetTrend

Get performance trend data across historical baselines for a metric.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • profileTypeString

    Profile type to retrieve trend data for.

  • metricString

    Metric name to trend (e.g. self_pct, cumulative_pct).

  • funcNameString

    Function name to retrieve trend data for.

  • limitInteger

    Maximum number of trend data points to return.

    Example: 0

Responses

200 OK

On success, this API returns the following response structure.

  • metricString

    Name of the metric being trended (e.g. self_pct, cumulative_pct).

    Example: self_pct

  • profileTypeString

    Profile type the trend data was collected from.

    Example: cpu

  • funcNameString

    Function name whose trend is being returned.

    Example: runtime.gcBgMarkWorker

  • itemsList

    Ordered list of trend data points across baselines.

    Example: (nested array)

    • baselineLabelString

      Label of the baseline this data point represents.

      Example: v1.2.0-release

    • createdAtString

      Timestamp when the baseline for this data point was created.

      Example: 2026-01-15T08:00:00Z

    • valueLong

      Metric value measured at this baseline point.

      Example: 7.4

Endpoint

GET/api/v1/profiling/trend

/api/v1/profiling/trend

Operation ID

GetTrend

Permalink

Request Example

curl -X GET '{host}/api/v1/profiling/trend' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "metric": "self_pct",
  "profileType": "cpu",
  "funcName": "runtime.gcBgMarkWorker",
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history